<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Database\Eloquent\SoftDeletes;

class Requests extends Model
{
    //
    use SoftDeletes;
    protected $fillable = [
        'max','start','up','product_id','user_id','day_id'
        ];
    /**
     * Get the description of the Ad.
     * @return HasMany
     */
    public function descriptions() :HasMany
    {
        return $this->hasMany(RequestDescription::class,'request_id');
    }
     public function user()
    {
        
        return $this->belongsTo(User::class);
    }
}
